{% if privexec_only %}
{%     if configuration_session %}
{%        include 'UTILITY_configure_session.j2' %}
{%     else %}
{%        include 'UTILITY_configure_terminal.j2' %}
{%     endif %}
{% endif %}
{% if ansible_network_os == 'arista.eos.eos' %}
{% elif ansible_network_os == 'cisco.ios.ios' %}
{% elif ansible_network_os == 'community.network.ce' %}
{%     if 'huawei_vrp' in group_names %}
{%         if 'huawei_campus' in group_names %}
{%         endif %}
{%         if 'huawei_datacenter' in group_names %}
{%         endif %}
{%     endif %}
{%     if 'huawei_yunshanos' in group_names %}
{%         if 'huawei_campus' in group_names %}
{%         endif %}
{%         if 'huawei_datacenter' in group_names %}
{%         endif %}
{%     endif %}
{% elif ansible_network_os == 'dellemc.os10.os10' %}
{%     if role in ['spine', 'core'] %}
vlt-domain 1
{# BETTER TO USE APIPA? #}
{%         if 'spine01' in inventory_hostname %}
 backup destination 10.10.42.3
{%         elif 'spine02' in inventory_hostname %}
 backup destination 10.10.42.2
{%         endif %}
 discovery-interface ethernet1/1/5-1/1/6
{%         if 'spine01' in inventory_hostname %}
 primary-priority 4096
{%         elif 'spine02' in inventory_hostname %}
 primary-priority 8192
{%         endif %}
 vlt-mac 02:00:00:00:00:01
!
{%     endif %}
{% elif ansible_network_os == 'dellemc.os9.os9' %}
{% elif ansible_network_os == 'dellemc.os6.os6' %}
{% elif ansible_network_os == 'community.network.aruba' %}
{% endif %}
{% if privexec_only %}
{%     if configuration_session %}
{%         include 'UTILITY_show_session-config_diffs.j2' %}
{%         include 'UTILITY_commit.j2' %}
{%     endif %}
{%     include 'UTILITY_end.j2' %}
{% endif %}
